<?php
$host="localhost";
$user="root";
$password="CBVg8PWU";
$db="timewar";

mysql_connect($host, $user, $password) or die("MySQL сервер недоступен!".mysql_error());
mysql_select_db($db) or die("Нет соединения с БД".mysql_error());
mysql_query('SET names "utf8"');

include ('tmp/head.php');

$all = mysql_num_rows(mysql_query("SELECT * FROM `opp`"));
$dark = mysql_num_rows(mysql_query("SELECT * FROM `opp` WHERE `storona`='dark' and `mertv`='0'"));
$white = mysql_num_rows(mysql_query("SELECT * FROM `opp` WHERE `storona`='white' and `mertv`='0'"));

$maxu = mysql_fetch_assoc(mysql_query("SELECT * FROM `opp` ORDER BY `uron` DESC LIMIT 1"));
$maxk = mysql_fetch_assoc(mysql_query("SELECT * FROM `opp` ORDER BY `kill` DESC LIMIT 1"));

$urepa = round((60+($maxu['uron']/4)+15));
$uexp = round((200+($maxu['uron']/4)+50));
$usilver = round((260+($maxu['uron']/4)+65));

$krepa = round(45+($maxu['uron']/4));
$kexp = round(150+($maxu['uron']/4));
$ksilver = round(195+($maxu['uron']/4));

mysql_query("UPDATE `users` SET `repa`=`repa`+'$urepa',`exp`=`exp`+'$uexp',`silver`=`silver`+'$usilver',`almaz`=`almaz`+'5' WHERE `id`='$maxu[user]'");
mysql_query("UPDATE `users` SET `repa`=`repa`+'$krepa',`exp`=`exp`+'$kexp',`silver`=`silver`+'$ksilver',`almaz`=`almaz`+'5' WHERE `id`='$maxk[user]'");

mysql_query("INSERT INTO `medal` SET `user`='$maxu[user]',`name`='Легендарный Воин',`text`='За лучший результат в Великой Битве',`img`='medaltopopp.png'");
mysql_query("INSERT INTO `medal` SET `user`='$maxk[user]',`name`='Легендарный Воин',`text`='За лучший результат в Великой Битве',`img`='medaltopopp.png'");

mysql_query("INSERT INTO `mail` SET `user`='1',`to`='$maxu[user]',`time`='".time()."',`text`='Вы получили дополнительную награду за лучший результат в Великой Битве,<img src=img/silver.png> $usilver, <img src=img/exp.png> $uexp, <img src=img/almaz.png> 5 и $urepa Репутации, а так же редкую медаль.'");
mysql_query("INSERT INTO `mail` SET `user`='1',`to`='$maxk[user]',`time`='".time()."',`text`='Вы получили дополнительную награду за лучший результат в Великой Битве,<img src=img/silver.png> $ksilver, <img src=img/exp.png> $kexp, <img src=img/almaz.png> 5 и $krepa Репутации, а так же редкую медаль.'");
        

if($white==$dark){
	// ничья
		$q1 = mysql_query("SELECT * FROM `opp` WHERE `storona`='white'");
    
    
    While($w1 = mysql_fetch_assoc($q1)){
        
        $repa1 = round(15+($w1['uron']/5));
        $exp1 = round(50+($w1['uron']/5));
        $silver1 = round(65+($w1['uron']/5));
        
        mysql_query("UPDATE `users` SET `repa`=`repa`+'$repa1',`exp`=`exp`+'$exp1',`silver`=`silver`+'$silver1' WHERE `id`='$w1[user]'");
        
        mysql_query("INSERT INTO `mail` SET `user`='1',`to`='$w1[user]',`time`='".time()."',`text`='Вы получили награду за участие в Великой Битве,<img src=img/silver.png> $silver1, <img src=img/exp.png> $exp1 и $repa1 Репутации'");
        
    }
	
	
	$q2 = mysql_query("SELECT * FROM `opp` WHERE `storona`='dark'");
    
    
    While($w2 = mysql_fetch_assoc($q2)){
        
        $repa2 = round(15+($w2['uron']/5));
        $exp2 = round(50+($w2['uron']/5));
        $silver2 = round(65+($w2['uron']/5));
        
        mysql_query("UPDATE `users` SET `repa`=`repa`+'$repa2',`exp`=`exp`+'$exp2',`silver`=`silver`+'$silver2' WHERE `id`='$w2[user]'");
        
        mysql_query("INSERT INTO `mail` SET `user`='1',`to`='$w2[user]',`time`='".time()."',`text`='Вы получили награду за участие в Великой Битве,<img src=img/silver.png> $silver2, <img src=img/exp.png> $exp2 и $repa2 Репутации'");
        
    }
	
	$k = date("j");
    $kg = date("n");

    if($kg=='1'){$mes="Января";}
    if($kg=='2'){$mes="Февраля";}
    if($kg=='3'){$mes="Марта";}
    if($kg=='4'){$mes="Апреля";}
    if($kg=='5'){$mes="Мая";}
    if($kg=='6'){$mes="Июня";}
    if($kg=='7'){$mes="Июля";}
    if($kg=='8'){$mes="Августа";}
    if($kg=='9'){$mes="Сентября";}
    if($kg=='10'){$mes="Октября";}
    if($kg=='11'){$mes="Ноября";}
    if($kg=='12'){$mes="Декабря";}
    
    mysql_query("INSERT INTO `opp_last` SET `date`='$k $mes',`all`='$all',`win`='dark',`kill`='$maxk[user]',`uron`='$maxu[user]'");
    
    mysql_query("UPDATE `game` SET `winopp`='dark' WHERE `id`='1'");
    
    $text = "Вот и закончилась Великая Битва, силы обеих сторон были равны! Лучшие бойцы были награждены!";
    mysql_query("INSERT INTO `chat` SET `user`='1',`text`='$text',`time`='".time()."'");
	
	
}


if($white<$dark){
    // победа тьмы
    $q1 = mysql_query("SELECT * FROM `opp` WHERE `storona`='white'");
    
    
    While($w1 = mysql_fetch_assoc($q1)){
        
        $repa1 = round(15+($w1['uron']*0.1));
        $exp1 = round(50+($w1['uron']*0.1));
        $silver1 = round(65+($w1['uron']*0.1));
        
        mysql_query("UPDATE `users` SET `repa`=`repa`+'$repa1',`exp`=`exp`+'$exp1',`silver`=`silver`+'$silver1' WHERE `id`='$w1[user]'");
        
        mysql_query("INSERT INTO `mail` SET `user`='1',`to`='$w1[user]',`time`='".time()."',`text`='Вы получили награду за участие в Великой Битве,<img src=img/silver.png> $silver1, <img src=img/exp.png> $exp1 и $repa1 Репутации'");
        
    }
    
    $q = mysql_query("SELECT * FROM `opp` WHERE `storona`='dark'");
    
    
    While($w = mysql_fetch_assoc($q)){
        
        $repa = round(30+($w['uron']*0.2));
        $exp = round(100+($w['uron']*0.2));
        $silver = round(130+($w['uron']*0.2));
        
        mysql_query("UPDATE `users` SET `repa`=`repa`+'$repa',`exp`=`exp`+'$exp',`silver`=`silver`+'$silver' WHERE `id`='$w[user]'");
        
        mysql_query("INSERT INTO `medal` SET `user`='$w[user]',`name`='Великий Воин',`text`='За одержание победы в Великой Битве.',`img`='medalwinopp.png'");
        
        mysql_query("INSERT INTO `mail` SET `user`='1',`to`='$w[user]',`time`='".time()."',`text`='Вы получили награду за участие в Великой Битве,<img src=img/silver.png> $silver, <img src=img/exp.png> $exp и $repa Репутации'");
        
    }
    
    
    $k = date("j");
    $kg = date("n");

    if($kg=='1'){$mes="Января";}
    if($kg=='2'){$mes="Февраля";}
    if($kg=='3'){$mes="Марта";}
    if($kg=='4'){$mes="Апреля";}
    if($kg=='5'){$mes="Мая";}
    if($kg=='6'){$mes="Июня";}
    if($kg=='7'){$mes="Июля";}
    if($kg=='8'){$mes="Августа";}
    if($kg=='9'){$mes="Сентября";}
    if($kg=='10'){$mes="Октября";}
    if($kg=='11'){$mes="Ноября";}
    if($kg=='12'){$mes="Декабря";}
    
    mysql_query("INSERT INTO `opp_last` SET `date`='$k $mes',`all`='$all',`win`='dark',`kill`='$maxk[user]',`uron`='$maxu[user]'");
    
    mysql_query("UPDATE `game` SET `winopp`='dark' WHERE `id`='1'");
    
    $text = "Вот и закончилась Великая Битва, победили Тёмные силы. Лучшие бойцы были награждены!";
    mysql_query("INSERT INTO `chat` SET `user`='1',`text`='$text',`time`='".time()."'");

    
}

if($white>$dark){
    // победа света
    $q1 = mysql_query("SELECT * FROM `opp` WHERE `storona`='dark'");
    
    
    While($w1 = mysql_fetch_assoc($q1)){
        
        $repa1 = round(15+($w1['uron']*0.1));
        $exp1 = round(50+($w1['uron']*0.1));
        $silver1 = round(65+($w1['uron']*0.1));
        
        mysql_query("UPDATE `users` SET `repa`=`repa`+'$repa1',`exp`=`exp`+'$exp1',`silver`=`silver`+'$silver1' WHERE `id`='$w1[user]'");
        
        mysql_query("INSERT INTO `mail` SET `user`='1',`to`='$w1[user]',`time`='".time()."',`text`='Вы получили награду за участие в Великой Битве,<img src=img/silver.png> $silver1, <img src=img/exp.png> $exp1 и $repa1 Репутации'");
        
    }
    $q = mysql_query("SELECT * FROM `opp` WHERE `storona`='white'");
    
    
    While($w = mysql_fetch_assoc($q)){
        
        $repa = round(30+($w['uron']*0.2));
        $exp = round(100+($w['uron']*0.2));
        $silver = round(130+($w['uron']*0.2));
        
        mysql_query("UPDATE `users` SET `repa`=`repa`+'$repa',`exp`=`exp`+'$exp',`silver`=`silver`+'$silver' WHERE `id`='$w[user]'");
        
        mysql_query("INSERT INTO `medal` SET `user`='$w[user]',`name`='Великий Воин',`text`='За одержание победы в Великой Битве.',`img`='medalwinopp.png'");
        
        mysql_query("INSERT INTO `mail` SET `user`='1',`to`='$w[user]',`time`='".time()."',`text`='Вы получили награду за участие в Великой Битве,<img src=img/silver.png> $silver, <img src=img/exp.png> $exp и $repa Репутации'");
        
        
        
    }
    $k = date("j");
    $kg = date("n");

    if($kg=='1'){$mes="Января";}
    if($kg=='2'){$mes="Февраля";}
    if($kg=='3'){$mes="Марта";}
    if($kg=='4'){$mes="Апреля";}
    if($kg=='5'){$mes="Мая";}
    if($kg=='6'){$mes="Июня";}
    if($kg=='7'){$mes="Июля";}
    if($kg=='8'){$mes="Августа";}
    if($kg=='9'){$mes="Сентября";}
    if($kg=='10'){$mes="Октября";}
    if($kg=='11'){$mes="Ноября";}
    if($kg=='12'){$mes="Декабря";}
    
    mysql_query("INSERT INTO `opp_last` SET `date`='$k $mes',`all`='$all',`win`='white',`kill`='$maxk[user]',`uron`='$maxu[user]'");
    
    mysql_query("UPDATE `game` SET `winopp`='white' WHERE `id`='1'");
    
    $text = "Вот и закончилась Великая Битва, победили Светлые силы. Лучшие бойцы были награждены!";
    mysql_query("INSERT INTO `chat` SET `user`='1',`text`='$text',`time`='".time()."'");

    
}


mysql_query("UPDATE `game` SET `opp`='0' WHERE `id`='1'");
mysql_query("DELETE FROM `opp`");

exit;
?>